Permanently delete a contact (GDPR-compliant)
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/contacts/gdpr-delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectId": "<string>",
"idProperty": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/v3/objects/contacts/gdpr-delete"
payload = {
"objectId": "<string>",
"idProperty": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectId: '<string>', idProperty: '<string>'})
};
fetch('https://api.hubapi.com/crm/v3/objects/contacts/gdpr-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}GDPR
Permanently delete a contact (GDPR-compliant)
Permanently delete a contact and all associated content to follow GDPR. Use optional property idProperty set to email to identify contact by email address. If email address is not found, the email address will be added to a blocklist and prevent it from being used in the future. Learn more about permanently deleting contacts.
POST
/
crm
/
v3
/
objects
/
contacts
/
gdpr-delete
Permanently delete a contact (GDPR-compliant)
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
最終更新日 2026年4月10日
⌘I